Bug 493371 - RPM won't install package, complains about filesystem space
RPM won't install package, complains about filesystem space
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 11:28 EDT by Nathan Wood
Modified: 2011-03-15 09:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 03:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Wood 2009-04-01 11:28:53 EDT
Description of problem:
When installing a 1.1G custom package, rpm complains there is not enough space on the filesystem. However, the system has more available capacity than it is asking for. 

The one time I was able to install this rpm was to an unvirtualized workstation. I'm not sure if this is a virtualization related issue, but it fails consistently on the KVM and Virtualbox VMs I tested on.

[root@centos53-32 ~]# rpm -ivh nag2009-1-brown.i386.rpm
Preparing...                ########################################### [100%]
   installing package nag2009-1-brown.i386 needs 3269MB on the / filesystem
[root@centos53-32 ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                       14G  3.3G  9.2G  27% /
/dev/hda1              99M   12M   82M  13% /boot
tmpfs                 252M     0  252M   0% /dev/shm

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nathan Wood 2009-04-01 11:41:39 EDT
I found the problem. That 1.1GB RPM uncompresses to over 12GB! RPM is reporting accurate statistics. This can be closed.

Note You need to log in before you can comment on or make changes to this bug.